net.sf.jasperreports.functions

## Class FunctionsRegistryFactory

- java.lang.Object
- - net.sf.jasperreports.functions.FunctionsRegistryFactory

- All Implemented Interfaces:
    ExtensionsRegistryFactory
  Direct Known Subclasses:
    ExprFunctionsRegistryFactory

      public class FunctionsRegistryFactory
      extends java.lang.Object
      implements ExtensionsRegistryFactory

  Version:
    $Id: Axis.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Massimo Rabbi (mrabbi@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `EXPRESSION_FUNCTIONS_CLASSES_PROPERTY_PREFIX` Deprecated. Replaced by `FUNCTIONS_CLASSES_PROPERTY_PREFIX`.
    `static java.lang.String` | `FUNCTIONS_CLASSES_PROPERTY_PREFIX` The key used inside a jasperreports_extensions.properties file to denote the classes referenced by this extension
    `static java.lang.String` | `PROPERTY_EXPRESSION_FUNCTIONS_REGISTRY_FACTORY` Deprecated. To be removed.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FunctionsRegistryFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExtensionsRegistry` | `createRegistry(java.lang.String registryId, JRPropertiesMap properties)` Instantiates an extensions registry.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EXPRESSION_FUNCTIONS_CLASSES_PROPERTY_PREFIX

          public static final java.lang.String EXPRESSION_FUNCTIONS_CLASSES_PROPERTY_PREFIX

      Deprecated. Replaced by `FUNCTIONS_CLASSES_PROPERTY_PREFIX`.
      The key used inside a jasperrpeorts_extensions.properties file to denote the classes referenced by this extension
      See Also:
        Constant Field Values

    - #### PROPERTY_EXPRESSION_FUNCTIONS_REGISTRY_FACTORY

          public static final java.lang.String PROPERTY_EXPRESSION_FUNCTIONS_REGISTRY_FACTORY

      Deprecated. To be removed.
      The key used to register the specific type of extension factory
      See Also:
        Constant Field Values

    - #### FUNCTIONS_CLASSES_PROPERTY_PREFIX

          public static final java.lang.String FUNCTIONS_CLASSES_PROPERTY_PREFIX

      The key used inside a jasperreports_extensions.properties file to denote the classes referenced by this extension
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FunctionsRegistryFactory

          public FunctionsRegistryFactory()

  - ### Method Detail

    - #### createRegistry

          public ExtensionsRegistry createRegistry(java.lang.String registryId,
                                          JRPropertiesMap properties)

      Description copied from interface: `ExtensionsRegistryFactory`
      Instantiates an extensions registry.
      Specified by:
        `createRegistry` in interface `ExtensionsRegistryFactory`
      Parameters:
        `registryId` - the ID of the registry to instantiate. The ID can be used to identify a set of properties to be used when instantiating the registry.
        `properties` - the map of properties that can be used to configure the registry instantiation process
      Returns:
        an extensions registry
      See Also:
        `DefaultExtensionsRegistry.PROPERTY_REGISTRY_PREFIX`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com